<?php
namespace Elementor;

/**
 * Elementor Widget
 * @package Feron
 * @since 1.0.0
 */ 
 
class Match_Socials_Icons extends Widget_Base {

	/**
	 * Get widget name.
	 * Retrieve button widget name.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget name.
	 */
	public function get_name() {
		return 'feron-match-socials-icons-widget';
	}

	/**
	 * Get widget title.
	 * Retrieve button widget title.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget title.
	 */
	public function get_title() {
		return esc_html__( 'Match socials icons', 'feron-core' );
	}

	/**
	 * Get widget icon.
	 * Retrieve button widget icon.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-flash';
	}

	/**
	 * Get widget categories.
	 * Retrieve the list of categories the button widget belongs to.
	 * Used to determine where to display the widget in the editor.
	 *
	 * @since  2.0.0
	 * @access public
	 * @return array Widget categories.
	 */
	public function get_categories()
    {
        return ['feron_widgets'];
    }
	
	/**
	 * Register button widget controls.
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since  1.0.0
	 * @access protected
	 */
	protected function register_controls() {

		$this->start_controls_section(
			'match_socials_icons',
			[
				'label' => __( 'Feature Content', 'feron-core' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);		


		$this->end_controls_section();	


		$this->start_controls_section(
			'content_section',
			[
				'label' => __( 'Block', 'feron-core' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
		$this->add_control(
		  'repeat', 
			[
				'type' => Controls_Manager::REPEATER,
				'separator' => 'before',
				'default' => 
					[
						['section_title' => esc_html__('Projects Completed', 'feron-core')],
					],
				'fields' => 
					[		
						
						[
							'name' => 'section_image',
							'label' => __( 'Image', 'feron-core' ),
							'type' => Controls_Manager::MEDIA,
							'default' => [
								'url' => Utils::get_placeholder_image_src(),
							],
						],

						[
							'name' => 'section_subtitle',
							'label' => esc_html__('Subtitle', 'feron-core'),
							'type' => Controls_Manager::TEXTAREA,
							'default' => esc_html__('', 'feron-core')
						],	

						[
							'name' => 'section_title',
							'label' => esc_html__('Title', 'feron-core'),
							'type' => Controls_Manager::TEXTAREA,
							'default' => esc_html__('', 'feron-core')
						],
						
					],
				'title_field' => '{{section_title}}',
			 ]
	);
		
		
	$this->end_controls_section();	

	
		}

	/**
	 * Render button widget output on the frontend.
	 * Written in PHP and used to generate the final HTML.
	 *
	 * @since  1.0.0
	 * @access protected
	 */
	protected function render() {
		$settings = $this->get_settings_for_display();
		$allowed_tags = wp_kses_allowed_html('post');
		?>

		<div class="gt-match-details-wrapper m-0 p-0">
			<div class="gt-details-content m-0 p-0">
				<div class="gt-watch-now-items m-0 p-0">
					<ul class="gt-watch-now-list">
						<li>
							<a href="#">
								<i class="fa-brands fa-youtube"></i>
								you tube
							</a>
							<a href="#">
								<i class="fa-brands fa-discord"></i>
								discord
							</a>
						</li>
						<li>
							<a href="#">
								<i class="fa-brands fa-twitch"></i>
								twitch
							</a>
							<a href="#">
								<i class="fa-solid fa-eyes"></i>
								GeForce
							</a>
						</li>
					</ul>
				</div>
			</div>
		</div>

             
		<?php 
	}


}

Plugin::instance()->widgets_manager->register_widget_type(new Match_Socials_Icons());